/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.xrtymis.custom.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.xrtymis.entity.TfYwpnPipenode;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 管点信息采集数据表：TF_YWPN_PIPENODE_W
 *
 * @author fcl
 * @date Fri Apr 16 00:00:00 CST 2021
 */
public interface TfYwpnPipenodeService extends IService<TfYwpnPipenode> {

    ResultRespone saveTubePointsInfo( TfYwpnPipenode tfYwpnPipenode);

    ResultRespone updateNodeById(List<MultipartFile> fileList,TfYwpnPipenode tfYwpnPipenode);

    ResultRespone removeNodeById(Long id);

    List<TfYwpnPipenode> getPipenode(List<Long> pids);
}
